import os
from .forum import Forum
from .archive_generator import ArchiveGenerator

BASEDIR = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))
FORUM_DATABASE = os.path.join(BASEDIR, "forum", "forum.sqlite")
TEMPLATES_DIR = os.path.join(BASEDIR, "templates")
STATIC_DIR = os.path.join(BASEDIR, "static")

ARCHIVES_BASEDIR = "archives"
FORUM_ARCHIVES = os.path.join(ARCHIVES_BASEDIR, "forums")
WIKI_ARCHIVES = os.path.join(ARCHIVES_BASEDIR, "wiki")

def main():
    forum = Forum(FORUM_DATABASE)
    generator = ArchiveGenerator(TEMPLATES_DIR, STATIC_DIR)
    generator.generate_forum(forum, FORUM_ARCHIVES)